Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(30)

Issue 2748053005: Parse TeamDrive resource inside ChangeList. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by yamaguchi
Modified:
3 months, 3 weeks ago
Reviewers:
hashimoto, nhiroki
CC:
chromium-reviews, yamaguchi+watch_chromium.org, oka+watch_chromium.org, fukino+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Parse TeamDrive resource inside ChangeList. Changes:list can now return changes for Team Drive entries instead of file/directory entries. See https://developers.google.com/drive/v2/reference/changes/list BUG=684274 TEST=google_apis_unittests --gtest_filter=DriveAPIParserTest.* Review-Url: https://codereview.chromium.org/2748053005 Cr-Commit-Position: refs/heads/master@{#460010} Committed: https://chromium.googlesource.com/chromium/src/+/c11f1ba110894a5188d40ab032e7f0c02f3ea279

Patch Set 1 #

Patch Set 2 : Parse type field as well. #

Patch Set 3 : rebase #

Patch Set 4 : Indent array initializers by 2 #

Patch Set 5 : Add field names to fetch. #

Patch Set 6 : Revert unrelated change. #

Patch Set 7 : Initialize with UNKNOWN. #

Patch Set 8 : fix error #

Patch Set 9 : rebase #

Total comments: 14

Patch Set 10 : Fix reflecting review comments #

Patch Set 11 : DCHECK before reading resource-type-specific fields. #

Total comments: 2

Patch Set 12 : Use DCHECK_EQ wherever possible #

Patch Set 13 : Check type before reading file() in fake_drive_service. #

Patch Set 14 : Copy type field. #

Patch Set 15 : Fill type field when generating ChangeResource in FakeDriveService. #

Patch Set 16 : Set type field in all test that create ChangeResource object. #

Patch Set 17 : Revert changes after patch set 15. Default type to FILE for backward compatibility. #

Patch Set 18 : Initialize type field in many tests. #

Patch Set 19 : rebase #

Total comments: 4

Patch Set 20 : Default the type field to UNKNOWN as it's not causing new test failures. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+153 lines, -9 lines) Patch
M chrome/browser/sync_file_system/drive_backend/metadata_database_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
M components/drive/resource_entry_conversion_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 17 3 chunks +3 lines, -0 lines 0 comments Download
M components/drive/service/drive_api_service.cc View 1 2 3 4 5 6 7 8 9 1 chunk +4 lines, -2 lines 0 comments Download
M components/drive/service/fake_drive_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 17 4 chunks +9 lines, -1 line 0 comments Download
M google_apis/drive/drive_api_parser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 17 5 chunks +52 lines, -3 lines 0 comments Download
M google_apis/drive/drive_api_parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 17 18 19 7 chunks +45 lines, -2 lines 0 comments Download
M google_apis/drive/drive_api_parser_unittest.cc View 1 2 3 4 5 6 7 8 9 4 chunks +18 lines, -1 line 0 comments Download
M google_apis/test/data/drive/changelist.json View 1 2 3 4 5 6 7 8 9 4 chunks +21 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 109 (89 generated)
yamaguchi
4 months, 1 week ago (2017-03-17 10:04:37 UTC) #27
yamaguchi
ptal
4 months ago (2017-03-22 02:03:02 UTC) #28
hashimoto
Sorry for being late to respond. https://codereview.chromium.org/2748053005/diff/160001/components/drive/service/drive_api_service.cc File components/drive/service/drive_api_service.cc (right): https://codereview.chromium.org/2748053005/diff/160001/components/drive/service/drive_api_service.cc#newcode125 components/drive/service/drive_api_service.cc:125: "lastViewedByMeDate,shared),teamDrive(kind,id),teamDriveId," The "teamDrive" ...
4 months ago (2017-03-22 06:40:30 UTC) #29
yamaguchi
https://codereview.chromium.org/2748053005/diff/160001/components/drive/service/drive_api_service.cc File components/drive/service/drive_api_service.cc (right): https://codereview.chromium.org/2748053005/diff/160001/components/drive/service/drive_api_service.cc#newcode125 components/drive/service/drive_api_service.cc:125: "lastViewedByMeDate,shared),teamDrive(kind,id),teamDriveId," On 2017/03/22 06:40:30, hashimoto wrote: > The "teamDrive" ...
4 months ago (2017-03-22 07:30:36 UTC) #34
hashimoto
https://codereview.chromium.org/2748053005/diff/200001/google_apis/drive/drive_api_parser.h File google_apis/drive/drive_api_parser.h (right): https://codereview.chromium.org/2748053005/diff/200001/google_apis/drive/drive_api_parser.h#newcode779 google_apis/drive/drive_api_parser.h:779: DCHECK(type_ == FILE); Please use DCHECK_EQ for better error ...
4 months ago (2017-03-22 07:34:13 UTC) #35
yamaguchi
https://codereview.chromium.org/2748053005/diff/200001/google_apis/drive/drive_api_parser.h File google_apis/drive/drive_api_parser.h (right): https://codereview.chromium.org/2748053005/diff/200001/google_apis/drive/drive_api_parser.h#newcode779 google_apis/drive/drive_api_parser.h:779: DCHECK(type_ == FILE); On 2017/03/22 07:34:13, hashimoto wrote: > ...
4 months ago (2017-03-22 07:56:14 UTC) #38
hashimoto
lgtm
4 months ago (2017-03-22 08:29:43 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2748053005/220001
4 months ago (2017-03-22 09:00:14 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/412033)
4 months ago (2017-03-22 09:28:25 UTC) #45
yamaguchi
Will you take a look again, because Patch set 12 had caused several existing tests ...
4 months ago (2017-03-23 13:09:29 UTC) #89
hashimoto
https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc File google_apis/drive/drive_api_parser.cc (right): https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc#newcode692 google_apis/drive/drive_api_parser.cc:692: : change_id_(0), type_(FILE), deleted_(false) {} You are already fixing ...
4 months ago (2017-03-24 08:49:23 UTC) #90
yamaguchi
https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc File google_apis/drive/drive_api_parser.cc (right): https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc#newcode692 google_apis/drive/drive_api_parser.cc:692: : change_id_(0), type_(FILE), deleted_(false) {} On 2017/03/24 08:49:23, hashimoto ...
4 months ago (2017-03-24 12:15:22 UTC) #91
hashimoto
https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc File google_apis/drive/drive_api_parser.cc (right): https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc#newcode692 google_apis/drive/drive_api_parser.cc:692: : change_id_(0), type_(FILE), deleted_(false) {} On 2017/03/24 12:15:21, yamaguchi ...
3 months, 4 weeks ago (2017-03-27 08:47:41 UTC) #92
yamaguchi
https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc File google_apis/drive/drive_api_parser.cc (right): https://codereview.chromium.org/2748053005/diff/360001/google_apis/drive/drive_api_parser.cc#newcode692 google_apis/drive/drive_api_parser.cc:692: : change_id_(0), type_(FILE), deleted_(false) {} On 2017/03/27 08:47:41, hashimoto ...
3 months, 4 weeks ago (2017-03-27 13:51:06 UTC) #97
hashimoto
lgtm
3 months, 3 weeks ago (2017-03-28 03:58:08 UTC) #98
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2748053005/380001
3 months, 3 weeks ago (2017-03-28 03:59:52 UTC) #101
yamaguchi
To nhiroki@: Will you review and approve the change for chrome/browser/sync_file_system/drive_backend/metadata_database_unittest.cc?
3 months, 3 weeks ago (2017-03-28 04:04:56 UTC) #103
nhiroki
sync_file_system lgtm
3 months, 3 weeks ago (2017-03-28 04:09:05 UTC) #104
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2748053005/380001
3 months, 3 weeks ago (2017-03-28 04:11:48 UTC) #106
commit-bot: I haz the power
3 months, 3 weeks ago (2017-03-28 04:17:54 UTC) #109
Message was sent while issue was closed.
Committed patchset #20 (id:380001) as
https://chromium.googlesource.com/chromium/src/+/c11f1ba110894a5188d40ab032e7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973